{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sh",
                "runBrukerToScript.sh"
            ],
            "hints": [
                {
                    "dockerPull": "andreagia/nmrpipecwl",
                    "class": "DockerRequirement"
                }
            ],
            "stdout": "stdout.out",
            "requirements": [
                {
                    "listing": [
                        {
                            "entry": "$(inputs.workdir)"
                        },
                        {
                            "entryname": "runBrukerToScript.sh",
                            "entry": "cp $1/ser* .\ncp $1/acqus .\ncp $1/acqu?s ./\ncp $1/pulseprogram ./\nbruker -auto -notk\nls\n"
                        }
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#brucker_to_script.cwl/workdir"
                }
            ],
            "id": "#brucker_to_script.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "fid.com"
                    },
                    "id": "#brucker_to_script.cwl/fid_out"
                },
                {
                    "type": "File",
                    "id": "#brucker_to_script.cwl/std_out",
                    "outputBinding": {
                        "glob": "stdout.out"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/bin/csh",
                "runProcessFid.sh"
            ],
            "hints": [
                {
                    "dockerPull": "andreagia/nmrpipecwl",
                    "class": "DockerRequirement"
                }
            ],
            "stdout": "stdout.out",
            "requirements": [
                {
                    "listing": [
                        {
                            "entry": "$(inputs.fiddir)"
                        },
                        {
                            "entryname": "runProcessFid.sh",
                            "entry": "#cwl doesn't set correclty docker user \n#in order to work set the right env\nsource /opt/software/NMRPipe/com/nmrInit.linux212_64.com\nbasicFT2.com -xP0 auto -yP0 90 -list > nmr.com\ncsh nmr.com\n  \n"
                        }
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#fid_to_pipe.cwl/fiddir"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "test.ft2"
                    },
                    "id": "#fid_to_pipe.cwl/fid_out3"
                },
                {
                    "type": "File",
                    "id": "#fid_to_pipe.cwl/std_out",
                    "outputBinding": {
                        "glob": "stdout.out"
                    }
                }
            ],
            "id": "#fid_to_pipe.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#main/workdir_array"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/pipe_to_pick/fid_out4",
                    "id": "#main/final_result"
                }
            ],
            "steps": [
                {
                    "run": "#brucker_to_script.cwl",
                    "scatter": "#main/brucker_to_script/workdir",
                    "in": [
                        {
                            "source": "#main/workdir_array",
                            "id": "#main/brucker_to_script/workdir"
                        }
                    ],
                    "out": [
                        "#main/brucker_to_script/fid_out"
                    ],
                    "id": "#main/brucker_to_script"
                },
                {
                    "run": "#fid_to_pipe.cwl",
                    "scatter": [
                        "#main/fid_to_pipe/fiddir",
                        "#main/fid_to_pipe/workdir"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/script_to_fid/fid_out2",
                            "id": "#main/fid_to_pipe/fiddir"
                        },
                        {
                            "source": "#main/workdir_array",
                            "id": "#main/fid_to_pipe/workdir"
                        }
                    ],
                    "out": [
                        "#main/fid_to_pipe/fid_out3"
                    ],
                    "id": "#main/fid_to_pipe"
                },
                {
                    "run": "#pipe_to_pick.cwl",
                    "scatter": "#main/pipe_to_pick/ft2",
                    "in": [
                        {
                            "source": "#main/fid_to_pipe/fid_out3",
                            "id": "#main/pipe_to_pick/ft2"
                        }
                    ],
                    "out": [
                        "#main/pipe_to_pick/fid_out4"
                    ],
                    "id": "#main/pipe_to_pick"
                },
                {
                    "run": "#script_to_fid.cwl",
                    "scatter": [
                        "#main/script_to_fid/fidcom",
                        "#main/script_to_fid/workdir"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/brucker_to_script/fid_out",
                            "id": "#main/script_to_fid/fidcom"
                        },
                        {
                            "source": "#main/workdir_array",
                            "id": "#main/script_to_fid/workdir"
                        }
                    ],
                    "out": [
                        "#main/script_to_fid/fid_out2"
                    ],
                    "id": "#main/script_to_fid"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sh",
                "runPick.sh"
            ],
            "hints": [
                {
                    "dockerPull": "andreagia/nmrpipecwl",
                    "class": "DockerRequirement"
                }
            ],
            "stdout": "stdout.out",
            "requirements": [
                {
                    "listing": [
                        {
                            "entry": "$(inputs.ft2)"
                        },
                        {
                            "entryname": "runPick.sh",
                            "entry": "#cp -r $1/fid ./\n#chmod -R 664 $1/fid\n#basicFT2.com -xP0 -82 -xEXTX1 10.4ppm -xEXTXN 5.4ppm -list > test.com\n#sh test.com\n#ls -lh\npkDetect2D.tcl -in test.ft2\n"
                        }
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#pipe_to_pick.cwl/ft2"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "test.tab"
                    },
                    "id": "#pipe_to_pick.cwl/fid_out4"
                },
                {
                    "type": "File",
                    "id": "#pipe_to_pick.cwl/std_out",
                    "outputBinding": {
                        "glob": "stdout.out"
                    }
                }
            ],
            "id": "#pipe_to_pick.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sh",
                "runScriptToFid.sh"
            ],
            "hints": [
                {
                    "dockerPull": "andreagia/nmrpipecwl",
                    "class": "DockerRequirement"
                }
            ],
            "stdout": "stdout2.out",
            "requirements": [
                {
                    "listing": [
                        {
                            "entry": "$(inputs.fidcom)"
                        },
                        {
                            "entry": "$(inputs.workdir)"
                        },
                        {
                            "entryname": "runScriptToFid.sh",
                            "entry": "ls\ncp $1/ser* .\ncp $1/acqus .\ncp $1/acqu?s ./\ncp $1/pulseprogram ./\n# cp $1/fid.com ./ # to comment if the script is part of the workflow\nsh fid.com\nls\n"
                        }
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#script_to_fid.cwl/fidcom"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#script_to_fid.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "test.fid"
                    },
                    "id": "#script_to_fid.cwl/fid_out2"
                },
                {
                    "type": "File",
                    "id": "#script_to_fid.cwl/std_out",
                    "outputBinding": {
                        "glob": "stdout2.out"
                    }
                }
            ],
            "id": "#script_to_fid.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
